php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12108 Unable to connect to PostgresSQL server
Submitted: 2001-07-12 12:02 UTC Modified: 2001-12-05 18:47 UTC
From: adminresint dot igi at euroconnect dot fr Assigned:
Status: Not a bug Package: PostgreSQL related
PHP Version: 4.0.5 OS: RedHat 7.1 Kernel 2.4.5
Private report: No CVE-ID: None
 [2001-07-12 12:02 UTC] adminresint dot igi at euroconnect dot fr
Hello,

I use :
redhat 7.1
kernel 2.4.5
apache 1.3.20
mod_ssl 2.8.4-1.3.20
php4.0.5 compile with apache
php3.0.18 compile with apxs (module)
postgresql 6.5

Building options :

options for mod_ssl
/usr/local/src/mod_ssl-2.8.4-1.3.20/configure \
--with-apache=/usr/local/src/apache_1.3.20 \
--with-ssl=/usr/local/ssl \

options for php4
/usr/local/src/php-4.0.5/configure \
--with-apache=/usr/local/src/apache_1.3.20 \
--with-config-file-path=/etc/httpd \
--with-gd=/usr \
--with-jpeg-dir=/usr/local \
--with-regex=system \
--with-xml \
--with-pgsql \
--with-png \
--with-pdflib=/usr/local \
--enable-track-var \
--enable-mbstring \
--enable-versioning

options for php3
export CFLAGS=" -O3 -I /usr/include/pgsql -DEAPI"
/usr/local/src/php-3.0.18/configure \
--with-apxs=/usr/local/apache/bin/apxs \
--with-config-file-path=/etc/httpd \
--with-gd=/usr \
--with-jpeg-dir=/usr/local \
--with-system-regex \
--with-pgsql=/usr/include/pgsql \
--with-png \
--enable-mbstring \
--enable-track-var \
--enable-versioning

options for Apache
SSL_BASE=/usr/local/ssl
./configure \
--with-layout=Apache \
-v \
--activate-module=src/modules/perl/libperl.a \
--activate-module=src/modules/php4/libphp4.a \
--enable-rule=EAPI \
--enable-module=so \
--enable-module=log_agent \
--enable-module=log_referer \
--enable-module=ssl \
--enable-module=perl \
--enable-module=env \
--enable-module=log_config \
--enable-module=mime_magic \
--enable-module=mime \
--enable-module=negotiation \
--enable-module=include \
--enable-module=dir \
--enable-module=cgi \
--enable-module=asis \
--enable-module=imap \
--enable-module=actions \
--enable-module=speling \
--enable-module=alias \
--enable-module=rewrite \
--enable-module=access \
--enable-module=auth \
--enable-module=auth_anon \
--enable-module=auth_db \
--enable-module=cern_meta \
--enable-module=digest \
--enable-module=expires \
--enable-module=headers \
--enable-module=usertrack \
--enable-module=unique_id \
--enable-module=setenvif \
--disable-module=proxy \
--disable-module=userdir \
--disable-module=status \
--disable-module=info \
--disable-module=autoindex \ 
--disable-module=auth_dbm \
--disable-module=example

All work fine but :
When i try to connect to my pgsql server I have this error :
Warning: Unable to connect to PostgresSQL server: ERROR: MultiByte strings (MB) must be enabled to use this function in toto.php<3-4> on line 40
The function is :
$conn =pg_connect("pgsql.euroconnect.fr","5432","","","toto");
I have the same error with php3 or php4 files

If somebody know a solution, it will be great.
Thank you very much for your help.

Best regards
Yoann Courbet

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-12-05 18:47 UTC] yohgaki@php.net
This does not seems to be a bug. Make sure that you have both backend and libpq supports multi-byte encoding. 

 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Jul 24 02:01:27 2019 UTC